using System.Collections;
using System.Collections.Generic;
using System.Threading.Tasks;
using Props.Models.Search;
using Props.Shop.Framework;

namespace Props.Services.Modules
{
    public interface IShopManager
    {
        public IEnumerable<string> AvailableShops();
        public Task<IList<ProductListing>> Search(string query, SearchOutline searchOutline);
    }
}